#include <bits/stdc++.h>

using namespace std;
int median(vector<int> a){
    /*if(a.size() % 2 == 0){ return a[a.size()/2];}
    else */return a[a.size()/2];
}
int indx(vector<int> a, int b){
    for(int i = 0; i<a.size(); i++){
    if(a[i] > b){return i;}
    else {return -1;}
    }
}

int main()
{
    int n,q,x,c=0;
    vector<int> szamok;
    vector<int> szamok2;
    vector<int> esetek;
    cin>>n>>q;
    for(int i = 0; i<n; i++){
        cin>>x;
        szamok.push_back(x);
    }
    for(int i = 0; i<q; i++){
        cin>>x;
        esetek.push_back(x);
    }


    for(int i = 0; i<q; i++){
            szamok2 = szamok;

            x = indx(szamok2, esetek[i]);
           // cout<<median(szamok2)<<" ";
        while(median(szamok2) != esetek[i]){
                //cout<<median(szamok2)<<" ";
                if(x != -1){
            auto it = szamok2.begin() + x;
            szamok2.insert(it, esetek[i]);

                }
                else {szamok2.push_back(esetek[i]);
                }

        }
        cout<<median(szamok2)<<" ";
       cout <<szamok2.size()- szamok.size()<< "\n";
    }

}